Web lists-archives.com

Bug#873896: ITP: ocaml-migrate-parsetree -- Convert OCaml parsetrees between different major versions




Package: wnpp
Severity: wishlist
Owner: Andy Li <andy@xxxxxxxxxxxxxx>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : ocaml-migrate-parsetree
  Version         : 1.0.4
  Upstream Author : Frédéric Bour <frederic.bour@xxxxxxxxxxx> and Jérémie
Dimino <jeremie@xxxxxxxxxx>
* URL             : https://github.com/ocaml-ppx/ocaml-migrate-parsetree
* License         : LGPL v2.1
  Programming Lang: OCaml
  Description     : Convert OCaml parsetrees between different major versions

This library converts between parsetrees of different OCaml versions.

Supported versions are 4.02, 4.03, 4.04, 4.05 and 4.06 (trunk). For each
version, there is a snapshot of the parsetree and conversion functions to the
next and/or previous version.

This is a dependency of ocaml-sedlex 1.99.4 (ITP #867238).
I will co-maintain it with the Debian OCaml Maintainers team.




-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBAgAGBQJZqNAXAAoJENYPsCrEEWxpSq8IAJSeTsRKUBhNEaanVcCQVWWK
HiJHWmHDFcK1N+5oRjd0DTBiSuXvW08hDM3GGmGy6RB/FSfwZElr2ZLzA7e5lHbh
Vw4mK1BiJSGB3bJOIeufTwkbtK8kz0Bm62KDxWNzWlbUubRBO50kRkHFmh2Bu0yI
lmzrr3PyCeFqAHqVaNVOo20avwmIJLDUvVkOsz+S1OJElnAAurkFvjxywSuKL0y5
vlmt6ZywFwTX9GYus2QuLs1O2CYb2oubDbGoeAoFIg3EKgWwhMAxlKwXUAn9ZGbz
OvAkJyjYIbGucXJrajFiVfTimopcd5G7z6nicn/9ThGhwox5kjepOK0euk/h1Yg=
=1j8P
-----END PGP SIGNATURE-----